Subject: Re: bug#16697: 24.3.50; ERC scrolltobottom module does not work anymore

From: Ivan Kanis <[email-masked]>
Date: Thu, 04 Feb 2016 21:51:19 +0100

February, 04 at 17:12 Lars wrote:

> Ivan Kanis <[email-masked]> writes:
>
>> Hi Lars,
>>
>> The problem remains.
>
> Ok, I've done some further reading of the many threads and references
> here, and I'm still not quite sure what the bug is.  :-)
>
> Do you have a recipe starting from emacs -Q that demonstrates what
> happens, and could you describe what you wanted to have happen instead?

Hi Lars,

It's very easy to reproduce.

I am running a month old master (git 384cf23).

emacs -Q

1) evaluate (setq erc-modules '(scrolltobottom))
2) M-x erc
3) select default values
4) /j #emacs
5) wait for the buffer to fill up

I expect the prompt line to stay at the bottom.

It jumps back to the middle.

I have attached a picture. See the ERC> prompt with the blue background?
It jumped back to the middle.

I wish you a very productive month of hacking ;)

Take care,

Ivan